%define rel 2

Name:           accounts-qt
Version:        1.16
Release:        %mkrel %{rel}
Summary:        Accounts framework Qt bindings
Group:          System/Libraries
License:        LGPLv2
URL:            https://gitlab.com/groups/accounts-sso
Source0:        https://gitlab.com/accounts-sso/libaccounts-qt/-/archive/VERSION_%{version}/lib%{name}-VERSION_%{version}.tar.bz2

BuildRequires:  pkgconfig(libaccounts-glib)
BuildRequires:  doxygen

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)

%description
Framework to provide accounts for Qt.


#------------------------------------------------------------------------------
%define libaccounts_major 1
%define libaccounts_qt %mklibname accounts-qt5_ %{libaccounts_major}

%package -n     %{libaccounts_qt}
Summary:        Runtime library for %{name}
Group:          System/Libraries

Obsoletes:      %{_lib}accounts-qt1 < 1.15-6

%description -n %{libaccounts_qt}
Runtime libraries for %{name}.

%files -n %{libaccounts_qt}
%{_libdir}/libaccounts-qt5.so.%{libaccounts_major}{,.*}

#---------------------------------------------------------------------------------
%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
Documentation for %{name}.

%files doc
%{_datadir}/doc/%{name}

#---------------------------------------------------------------------------------
%define libaccounts_devel %mklibname accounts-qt5 -d

%package -n     %{libaccounts_devel}
Summary:        Headers files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libaccounts_qt} = %{version}-%{release}
Provides:       accounts-qt5-devel = %{version}-%{release}

Obsoletes:      %{_lib}accounts-qt-devel < 1.15-6

%description -n %{libaccounts_devel}
Headers files for %{name}.

%files -n %{libaccounts_devel}
%{_includedir}/%{name}5/
%{_libdir}/libaccounts-qt5.so
%{_libdir}/cmake/AccountsQt5/
%{_libdir}/pkgconfig/accounts-qt5.pc
%{_bindir}/accountstest

#------------------------------------------------------------------------------


%prep
%autosetup -n lib%{name}-VERSION_%{version}

%build
%qmake_qt5 \
	QMF_INSTALL_ROOT=%{_prefix} \
	CONFIG+=release accounts-qt.pro \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

%make_build

%install
%make_install \
	INSTALL_ROOT=%{buildroot}


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 1.16-2.mga8
+ Revision: 1658123
- Rebuild for new Qt5

* Wed Apr 22 2020 daviddavid <daviddavid> 1.16-1.mga8
+ Revision: 1570685
- new version: 1.16
- rebuild for new libaccounts-glib 1.25
- update Source URL
- fix library and devel pkg names

* Sat Feb 15 2020 umeabot <umeabot> 1.15-5.mga8
+ Revision: 1524273
- Mageia 8 Mass Rebuild

* Fri Mar 29 2019 umeabot <umeabot> 1.15-4.mga7
+ Revision: 1381205
- Qt5 Rebuild

* Tue Jan 15 2019 daviddavid <daviddavid> 1.15-3.mga7
+ Revision: 1356957
- rebuild for new libaccounts-glib 1.24

* Sun Sep 23 2018 umeabot <umeabot> 1.15-2.mga7
+ Revision: 1297273
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1.15-1.mga7
+ Revision: 1211450
- Update to version 1.15

* Sat Feb 13 2016 umeabot <umeabot> 1.13-2.mga6
+ Revision: 959476
- Mageia 6 Mass Rebuild
+ luigiwalser <luigiwalser>
- update URL

* Tue Jul 07 2015 neoclust <neoclust> 1.13-1.mga6
+ Revision: 852408
- Fix BRs
- New version

* Wed Oct 15 2014 umeabot <umeabot> 1.11-4.mga5
+ Revision: 750958
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11-3.mga5
+ Revision: 686444
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.11-2.mga5
+ Revision: 677682
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1.11-1.mga5
+ Revision: 667397
- Update to 1.11
  fix files list

* Mon Oct 21 2013 umeabot <umeabot> 1.9-2.mga4
+ Revision: 540950
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 mikala <mikala> 1.9-1.mga4
+ Revision: 494571
- imported package accounts-qt

